$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 PostgresqlColumn export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  column:
    description: Column name.
    type: string
  dataType:
    description: The PostgreSQL data type.
    type: string
  length:
    description: Column length.
    type: integer
  nullable:
    description: Whether or not the column can accept a null value.
    type: boolean
  ordinalPosition:
    description: The ordinal position of the column in the table.
    type: integer
  precision:
    description: Column precision.
    type: integer
  primaryKey:
    description: Whether or not the column represents a primary key.
    type: boolean
  scale:
    description: Column scale.
    type: integer
